<html lang="en">
  <head>
    <base target="_top" />
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>Carto Ambroisie - Présence 2023 ...</title>
    <link
      rel="stylesheet"
      href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css"
      integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI="
      crossorigin=""
    />
    <script
      src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js"
      integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM="
      crossorigin=""
    ></script>
    <script src="js/proj4-compressed.js"></script>
    <script src="js/proj4leaflet.js"></script>
    <script src="helper/decrees.js"></script>
    <style>
      html,
      body {
        height: 100%;
        margin: 0;
      }
      .leaflet-container {
        height: 100%;
        width: 100%;
      }
    </style>
  </head>
  <body>
    <h1>Challenge GD4H - Carto'Ambroisies (Poc)</h1>
    <p>
      Les Ambroisies sont des plantes très invasives. Une fois qu’un pied
      d’ambroisie est observé, il faut rapidement l’éliminer car il est
      difficile de l’éradiquer une fois qu’il est installé. Or, près de 3% de la
      population française serait allergique à l’Ambroisie, selon l’Anses. Le
      pollen de cette plante peut, en fin d’été, provoquer de fortes réactions
      allergiques. Aussi, sa capacité à produire de grande quantité de graines
      en fait également une menace pour l’agriculture et pour la biodiversité.

      <a
        href="https://challenge.gd4h.ecologie.gouv.fr/defi/?topic=32"
        target="_blank"
        rel="noreferrer"
        >En savoir plus sur le défi</a
      >
    </p>
    <div>données non filtrées</div>
    <div
      id="map"
      style="width: 100%; height: 100%; position: relative"
      class="leaflet-container leaflet-touch leaflet-fade-anim leaflet-grab leaflet-touch-drag leaflet-touch-zoom"
      tabindex="0"
    ></div>
    <script>
      const map = L.map("map", {}).setView([47.457809, 2.944336], 6);

      proj4.defs(
        "EPSG:2154",
        "+proj=lcc +lat_0=46.5 +lon_0=3 +lat_1=49 +lat_2=44 +x_0=700000 +y_0=6600000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs +type=crs"
      );

      const tiles = L.tileLayer(
        "https://tile.openstreetmap.org/{z}/{x}/{y}.png",
        {
          attribution:
            '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>',
        }
      ).addTo(map);

      const geojsonUrl =
        "https://datacarto.atlasante.fr/wfs/ece0783c-b862-4c6c-8e7b-4a6e689084f3?service=WFS&request=GetFeature&outputformat=geojson&format=text/javascript&version=2.0.0&typename=ms:ambroisie_sb_data_0_diffusion";

      let xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange = function () {
        if (this.readyState == 4 && this.status == 200) {
          afficherGeoJson(xhttp.responseText);
        }
      };
      xhttp.open("GET", geojsonUrl);
      xhttp.send();

      const geojsonMarkerOptions = {
        radius: 8,
        fillColor: "#ff7800",
        color: "#000",
        weight: 1,
        opacity: 1,
        fillOpacity: 0.8,
      };

      function afficherGeoJson(data) {
        // L.Proj.geoJson(geojson).addTo(map)
        L.Proj.geoJson(JSON.parse(data), {
          pointToLayer: function (feature, latlng) {
            let color = "red";
            if (feature.properties.c_statut.includes("validé")) {
              color = "green";
            }
            return L.circleMarker(latlng, {
              color: color,
            });
          },
          onEachFeature: function (feature, layer) {
            layer.bindPopup(
              "<h3>" +
                feature.properties.c_espece +
                "</h3><p>statut: " +
                feature.properties.c_statut +
                "</p><p>" +
                "date: " +
                feature.properties.c__edit_datemaj +
                "</p>"
            );
          },
        }).addTo(map);
      }
      fetchPrefecturalDecrees();
    </script>
  </body>
</html>
